package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.poi.hpsf.Decimal;

import java.util.HashMap;
import java.util.List;

public class ReprotSummaryList extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 单位ID */
    private Long deptId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String deptName;

    /** 单位简称 */
    @Excel(name = "单位简称")
    private String deptShortName;

    /** 统计详情 */
    @Excel(name = "统计详情")
    private List<ReprotSummaryInfo> infos;

    private HashMap object;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptShortName() {
        return deptShortName;
    }

    public void setDeptShortName(String deptShortName) {
        this.deptShortName = deptShortName;
    }

    public List<ReprotSummaryInfo> getInfos() {
        return infos;
    }

    public void setInfos(List<ReprotSummaryInfo> infos) {
        this.infos = infos;
    }

    public HashMap getObject() {
        return object;
    }

    public void setObject(HashMap object) {
        this.object = object;
    }
}
